import React from "react";
import { UI } from "../../constants/ui";

export function TextInput(props) {
  return (
    <input
      {...props}
      style={{
        width: "100%",
        border: `1px solid ${UI.border}`,
        borderRadius: 12,
        padding: "10px 12px",
        fontSize: 13,
        outline: "none",
        ...props.style,
      }}
    />
  );
}

export function Select(props) {
  return (
    <select
      {...props}
      style={{
        width: "100%",
        border: `1px solid ${UI.border}`,
        borderRadius: 12,
        padding: "10px 12px",
        fontSize: 13,
        outline: "none",
        background: "#fff",
        ...props.style,
      }}
    />
  );
}
